diff --git a/doc/src/sgml/release-11.sgml b/doc/src/sgml/release-11.sgml
index 7599c6f..037ff9c 100644
--- a/doc/src/sgml/release-11.sgml
+++ b/doc/src/sgml/release-11.sgml
@@ -629,7 +629,7 @@ Branch: master [6bdf1303b] Avoid wrong results for power() with NaN
        </para>
 
        <para>
-        This features is disabled by default
+        This feature is disabled by default
         but can be enabled by changing <link
         linkend="guc-enable-partitionwise-join"><varname>enable_partitionwise_join</varname></link>.
        </para>
@@ -647,7 +647,7 @@ Branch: master [6bdf1303b] Avoid wrong results for power() with NaN
        </para>
 
        <para>
-        This features is disabled by default
+        This feature is disabled by default
         but can be enabled by changing <link
         linkend="guc-enable-partitionwise-aggregate"><varname>enable_partitionwise_aggregate</varname></link>.
        </para>
@@ -1159,8 +1159,8 @@ same commits as above
 -->
 
        <para>
-        Add <link
-        linkend="pg-stat-activity-view"><structname>pg_stat_activity</structname>.<structfield>backend_type</structfield></link>
+        <link linkend="pg-stat-activity-view"><structname>pg_stat_activity</structname>.
+        <structfield>backend_type</structfield></link>
         now shows the type of background worker (Peter Eisentraut)
        </para>
 
@@ -1315,7 +1315,7 @@ same commits as above
 -->
 
        <para>
-        Add default roles which controls file system access (Stephen Frost)
+        Add default roles which control file system access (Stephen Frost)
        </para>
 
        <para>
@@ -1364,7 +1364,7 @@ same commits as above
        </para>
 
        <para>
-        Previously super users were exclusively granted to access these
+        Previously, super-users were exclusively granted access to these
         functions.
        </para>
 
@@ -1424,7 +1424,7 @@ same commits as above
        <para>
         Add server setting <link
         linkend="guc-ssl-passphrase-command"><varname>ssl_passphrase_command</varname></link>
-        to allow supplying of the the passphrase for <acronym>SSL</acronym>
+        to allow supplying of the passphrase for <acronym>SSL</acronym>
         key files (Peter Eisentraut)
        </para>
 
@@ -1467,7 +1467,7 @@ same commits as above
 
        <para>
         The new unit is "B".  This is in addition to "kB", "MB", "GB"
-        and "TB", which were accepted previously.
+        and "TB", which are already allowed.
        </para>
 
       </listitem>
@@ -1567,7 +1567,7 @@ same commits as above
 -->
 
        <para>
-        Exclude unlogged, temporary tables, and
+        Exclude unlogged, temporary tables and
         <filename>pg_internal.init</filename> files from streaming base
         backups (David Steele)
        </para>
@@ -1595,7 +1595,7 @@ same commits as above
 
        <para>
         Allow replication slots to be advanced programatically, rather
-        than be consumed by subscribers (Petr Jelinek)
+        than being consumed by subscribers (Petr Jelinek)
        </para>
 
        <para>
@@ -1726,8 +1726,8 @@ same commits as above
 
        <para>
         Also, if any table mentioned in <command>VACUUM</command> uses
-        a column list, then <command>ANALYZE</command> keyword must be
-        supplied;  previously <command>ANALYZE</command> was implied in
+        a column list, then the <command>ANALYZE</command> keyword must be
+        supplied. Previously, <command>ANALYZE</command> was implied in
         such cases.
        </para>
       </listitem>
@@ -1760,7 +1760,7 @@ same commits as above
        </para>
 
        <para>
-        This is useful for allowing aggregate functions be optimized and
+        This is useful for allowing aggregate functions to be optimized and
         to work as window functions.
        </para>
 
@@ -1803,7 +1803,7 @@ same commits as above
        </para>
 
        <para>
-        Also allow PL/PL/Perl, PL/Python, and PL/Tcl to handle
+        Also allow PL/Perl, PL/Python, and PL/Tcl to handle
         composite-domain function arguments and results.  Also improve
         PL/Python domain handling.
        </para>
@@ -1896,7 +1896,7 @@ same commits as above
        <para>
         Add text search function <link
         linkend="textsearch-functions-table"><function>websearch_to_tsquery()</function></link>
-        that supports a queries syntax similar to that used by web search
+        that supports a query syntax similar to that used by web search
         engines (Victor Drobny, Dmitry Ivanov)
        </para>
       </listitem>
@@ -1909,7 +1909,7 @@ same commits as above
        <para>
         Add function <link
         linkend="textsearch-functions-table"><function>json(b)_to_tsvector()</function></link>
-        to create text search query for matching
+        to create a text search query for matching
         <type>JSON</type>/<type>JSONB </type>values (Dmitry Dolgov)
        </para>
 
@@ -2144,10 +2144,13 @@ same commits as above
        </para>
 
        <para>
-        This allows <application>psql</application>'s default pager to
-        be specified as a separate environment variable from the pager
-        for other applications.  <envar>PAGER</envar> is still honored
-        if <envar>PSQL_PAGER</envar> is not set.
+        In addition to <application>psql</application>, other applications
+        use the <envar>PAGER</envar> environment variable. Having
+        <envar>PSQL_PAGER</envar> as a separate environment variable allows
+        you to use one pager for those applications and a different pager
+        for <application>psql</application>. <application>psql</application>
+        will still honor <envar>PAGER</envar> if <envar>PSQL_PAGER</envar>
+        is not set.
        </para>
       </listitem>
 
@@ -2309,7 +2312,7 @@ same commits as above
 -->
 
        <para>
-        Add approximated Zipfian-distributed random generator to
+        Add an approximated Zipfian-distributed random generator to
         <application>pgbench</application> (Alik Khilazhev)
        </para>
       </listitem>
@@ -2379,16 +2382,16 @@ same commits as above
 -->
 
        <para>
-        Add <link
+        Add an option to <link
         linkend="app-pgbasebackup"><application>pg_basebackup</application></link>
-        option to create a named replication slot (Michael Banck)
+        that creates a named replication slot (Michael Banck)
        </para>
 
        <para>
         The option <option>--create-slot</option> creates
         the named replication slot (<option>--slot</option>)
         when the <acronym>WAL</acronym> streaming method
-        (<option>-wal-method=stream</option>) is used.
+        (<option>--wal-method=stream</option>) is used.
        </para>
 
        <para>
@@ -2560,7 +2563,7 @@ same commits as above
        </para>
 
        <para>
-        This is useful if the system to be loaded has a different collation
+        This is useful if the system to be loaded has different collation
         definitions or endianness, requiring the rows to be stored in
         different partitions.
        </para>
@@ -2572,7 +2575,7 @@ same commits as above
 -->
 
        <para>
-        Add ability to suppress dumping and restoring of comments
+        Add an option to suppress dumping and restoring of comments
         (Robins Tharakan)
        </para>
 
